package com.clx.performance.param.app.collect;

import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.NoArgsConstructor;
import lombok.Setter;

import javax.validation.constraints.NotBlank;

@Getter
@Setter
@NoArgsConstructor
public class CollectLineReportLoadUnloadAbnormalSaveParam {

    @ApiModelProperty(value = "运单编号")
    @NotBlank(message = "运单编号不能为空")
    private String childNo;

    @ApiModelProperty(value = "异常类型：1装车时间异常 2卸车时间异常", example = "1")
    @NotBlank(message = "异常类型不能为空")
    private Integer type;

}
